IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/64
Addresses2^64
/64 networks1
- Network
fe80:c25a:dd:dd94::/64- First address
fe80:c25a:dd:dd94::- Last address
fe80:c25a:dd:dd94:ffff:ffff:ffff:ffff- Addresses
- 18,446,744,073,709,551,616 (2^64)
- /64 networks (LANs)
- 1
- Full form
fe80:c25a:00dd:dd94:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
4.9.d.d.d.d.0.0.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:dd:dd94::/64 makes 4,096 subnets of /76; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:dd:dd94::/76 | fe80:c25a:dd:dd94:f:ffff:ffff:ffff |
| 2 | fe80:c25a:dd:dd94:10::/76 | fe80:c25a:dd:dd94:1f:ffff:ffff:ffff |
| 3 | fe80:c25a:dd:dd94:20::/76 | fe80:c25a:dd:dd94:2f:ffff:ffff:ffff |
| 4 | fe80:c25a:dd:dd94:30::/76 | fe80:c25a:dd:dd94:3f:ffff:ffff:ffff |
| 5 | fe80:c25a:dd:dd94:40::/76 | fe80:c25a:dd:dd94:4f:ffff:ffff:ffff |
| 6 | fe80:c25a:dd:dd94:50::/76 | fe80:c25a:dd:dd94:5f:ffff:ffff:ffff |
| 7 | fe80:c25a:dd:dd94:60::/76 | fe80:c25a:dd:dd94:6f:ffff:ffff:ffff |
| 8 | fe80:c25a:dd:dd94:70::/76 | fe80:c25a:dd:dd94:7f:ffff:ffff:ffff |
| 9 | fe80:c25a:dd:dd94:80::/76 | fe80:c25a:dd:dd94:8f:ffff:ffff:ffff |
| 10 | fe80:c25a:dd:dd94:90::/76 | fe80:c25a:dd:dd94:9f:ffff:ffff:ffff |
| 11 | fe80:c25a:dd:dd94:a0::/76 | fe80:c25a:dd:dd94:af:ffff:ffff:ffff |
| 12 | fe80:c25a:dd:dd94:b0::/76 | fe80:c25a:dd:dd94:bf:ffff:ffff:ffff |
| 13 | fe80:c25a:dd:dd94:c0::/76 | fe80:c25a:dd:dd94:cf:ffff:ffff:ffff |
| 14 | fe80:c25a:dd:dd94:d0::/76 | fe80:c25a:dd:dd94:df:ffff:ffff:ffff |
| 15 | fe80:c25a:dd:dd94:e0::/76 | fe80:c25a:dd:dd94:ef:ffff:ffff:ffff |
| 16 | fe80:c25a:dd:dd94:f0::/76 | fe80:c25a:dd:dd94:ff:ffff:ffff:ffff |
| 17 | fe80:c25a:dd:dd94:100::/76 | fe80:c25a:dd:dd94:10f:ffff:ffff:ffff |
| 18 | fe80:c25a:dd:dd94:110::/76 | fe80:c25a:dd:dd94:11f:ffff:ffff:ffff |
| 19 | fe80:c25a:dd:dd94:120::/76 | fe80:c25a:dd:dd94:12f:ffff:ffff:ffff |
| 20 | fe80:c25a:dd:dd94:130::/76 | fe80:c25a:dd:dd94:13f:ffff:ffff:ffff |
| 21 | fe80:c25a:dd:dd94:140::/76 | fe80:c25a:dd:dd94:14f:ffff:ffff:ffff |
| 22 | fe80:c25a:dd:dd94:150::/76 | fe80:c25a:dd:dd94:15f:ffff:ffff:ffff |
| 23 | fe80:c25a:dd:dd94:160::/76 | fe80:c25a:dd:dd94:16f:ffff:ffff:ffff |
| 24 | fe80:c25a:dd:dd94:170::/76 | fe80:c25a:dd:dd94:17f:ffff:ffff:ffff |
| 25 | fe80:c25a:dd:dd94:180::/76 | fe80:c25a:dd:dd94:18f:ffff:ffff:ffff |
| 26 | fe80:c25a:dd:dd94:190::/76 | fe80:c25a:dd:dd94:19f:ffff:ffff:ffff |
| 27 | fe80:c25a:dd:dd94:1a0::/76 | fe80:c25a:dd:dd94:1af:ffff:ffff:ffff |
| 28 | fe80:c25a:dd:dd94:1b0::/76 | fe80:c25a:dd:dd94:1bf:ffff:ffff:ffff |
| 29 | fe80:c25a:dd:dd94:1c0::/76 | fe80:c25a:dd:dd94:1cf:ffff:ffff:ffff |
| 30 | fe80:c25a:dd:dd94:1d0::/76 | fe80:c25a:dd:dd94:1df:ffff:ffff:ffff |
| 31 | fe80:c25a:dd:dd94:1e0::/76 | fe80:c25a:dd:dd94:1ef:ffff:ffff:ffff |
| 32 | fe80:c25a:dd:dd94:1f0::/76 | fe80:c25a:dd:dd94:1ff:ffff:ffff:ffff |
| 33 | fe80:c25a:dd:dd94:200::/76 | fe80:c25a:dd:dd94:20f:ffff:ffff:ffff |
| 34 | fe80:c25a:dd:dd94:210::/76 | fe80:c25a:dd:dd94:21f:ffff:ffff:ffff |
| 35 | fe80:c25a:dd:dd94:220::/76 | fe80:c25a:dd:dd94:22f:ffff:ffff:ffff |
| 36 | fe80:c25a:dd:dd94:230::/76 | fe80:c25a:dd:dd94:23f:ffff:ffff:ffff |
| 37 | fe80:c25a:dd:dd94:240::/76 | fe80:c25a:dd:dd94:24f:ffff:ffff:ffff |
| 38 | fe80:c25a:dd:dd94:250::/76 | fe80:c25a:dd:dd94:25f:ffff:ffff:ffff |
| 39 | fe80:c25a:dd:dd94:260::/76 | fe80:c25a:dd:dd94:26f:ffff:ffff:ffff |
| 40 | fe80:c25a:dd:dd94:270::/76 | fe80:c25a:dd:dd94:27f:ffff:ffff:ffff |
| 41 | fe80:c25a:dd:dd94:280::/76 | fe80:c25a:dd:dd94:28f:ffff:ffff:ffff |
| 42 | fe80:c25a:dd:dd94:290::/76 | fe80:c25a:dd:dd94:29f:ffff:ffff:ffff |
| 43 | fe80:c25a:dd:dd94:2a0::/76 | fe80:c25a:dd:dd94:2af:ffff:ffff:ffff |
| 44 | fe80:c25a:dd:dd94:2b0::/76 | fe80:c25a:dd:dd94:2bf:ffff:ffff:ffff |
| 45 | fe80:c25a:dd:dd94:2c0::/76 | fe80:c25a:dd:dd94:2cf:ffff:ffff:ffff |
| 46 | fe80:c25a:dd:dd94:2d0::/76 | fe80:c25a:dd:dd94:2df:ffff:ffff:ffff |
| 47 | fe80:c25a:dd:dd94:2e0::/76 | fe80:c25a:dd:dd94:2ef:ffff:ffff:ffff |
| 48 | fe80:c25a:dd:dd94:2f0::/76 | fe80:c25a:dd:dd94:2ff:ffff:ffff:ffff |
| 49 | fe80:c25a:dd:dd94:300::/76 | fe80:c25a:dd:dd94:30f:ffff:ffff:ffff |
| 50 | fe80:c25a:dd:dd94:310::/76 | fe80:c25a:dd:dd94:31f:ffff:ffff:ffff |
| 51 | fe80:c25a:dd:dd94:320::/76 | fe80:c25a:dd:dd94:32f:ffff:ffff:ffff |
| 52 | fe80:c25a:dd:dd94:330::/76 | fe80:c25a:dd:dd94:33f:ffff:ffff:ffff |
| 53 | fe80:c25a:dd:dd94:340::/76 | fe80:c25a:dd:dd94:34f:ffff:ffff:ffff |
| 54 | fe80:c25a:dd:dd94:350::/76 | fe80:c25a:dd:dd94:35f:ffff:ffff:ffff |
| 55 | fe80:c25a:dd:dd94:360::/76 | fe80:c25a:dd:dd94:36f:ffff:ffff:ffff |
| 56 | fe80:c25a:dd:dd94:370::/76 | fe80:c25a:dd:dd94:37f:ffff:ffff:ffff |
| 57 | fe80:c25a:dd:dd94:380::/76 | fe80:c25a:dd:dd94:38f:ffff:ffff:ffff |
| 58 | fe80:c25a:dd:dd94:390::/76 | fe80:c25a:dd:dd94:39f:ffff:ffff:ffff |
| 59 | fe80:c25a:dd:dd94:3a0::/76 | fe80:c25a:dd:dd94:3af:ffff:ffff:ffff |
| 60 | fe80:c25a:dd:dd94:3b0::/76 | fe80:c25a:dd:dd94:3bf:ffff:ffff:ffff |
| 61 | fe80:c25a:dd:dd94:3c0::/76 | fe80:c25a:dd:dd94:3cf:ffff:ffff:ffff |
| 62 | fe80:c25a:dd:dd94:3d0::/76 | fe80:c25a:dd:dd94:3df:ffff:ffff:ffff |
| 63 | fe80:c25a:dd:dd94:3e0::/76 | fe80:c25a:dd:dd94:3ef:ffff:ffff:ffff |
| 64 | fe80:c25a:dd:dd94:3f0::/76 | fe80:c25a:dd:dd94:3ff:ffff:ffff:ffff |
| 65 | fe80:c25a:dd:dd94:400::/76 | fe80:c25a:dd:dd94:40f:ffff:ffff:ffff |
| 66 | fe80:c25a:dd:dd94:410::/76 | fe80:c25a:dd:dd94:41f:ffff:ffff:ffff |
| 67 | fe80:c25a:dd:dd94:420::/76 | fe80:c25a:dd:dd94:42f:ffff:ffff:ffff |
| 68 | fe80:c25a:dd:dd94:430::/76 | fe80:c25a:dd:dd94:43f:ffff:ffff:ffff |
| 69 | fe80:c25a:dd:dd94:440::/76 | fe80:c25a:dd:dd94:44f:ffff:ffff:ffff |
| 70 | fe80:c25a:dd:dd94:450::/76 | fe80:c25a:dd:dd94:45f:ffff:ffff:ffff |
| 71 | fe80:c25a:dd:dd94:460::/76 | fe80:c25a:dd:dd94:46f:ffff:ffff:ffff |
| 72 | fe80:c25a:dd:dd94:470::/76 | fe80:c25a:dd:dd94:47f:ffff:ffff:ffff |
| 73 | fe80:c25a:dd:dd94:480::/76 | fe80:c25a:dd:dd94:48f:ffff:ffff:ffff |
| 74 | fe80:c25a:dd:dd94:490::/76 | fe80:c25a:dd:dd94:49f:ffff:ffff:ffff |
| 75 | fe80:c25a:dd:dd94:4a0::/76 | fe80:c25a:dd:dd94:4af:ffff:ffff:ffff |
| 76 | fe80:c25a:dd:dd94:4b0::/76 | fe80:c25a:dd:dd94:4bf:ffff:ffff:ffff |
| 77 | fe80:c25a:dd:dd94:4c0::/76 | fe80:c25a:dd:dd94:4cf:ffff:ffff:ffff |
| 78 | fe80:c25a:dd:dd94:4d0::/76 | fe80:c25a:dd:dd94:4df:ffff:ffff:ffff |
| 79 | fe80:c25a:dd:dd94:4e0::/76 | fe80:c25a:dd:dd94:4ef:ffff:ffff:ffff |
| 80 | fe80:c25a:dd:dd94:4f0::/76 | fe80:c25a:dd:dd94:4ff:ffff:ffff:ffff |
| 81 | fe80:c25a:dd:dd94:500::/76 | fe80:c25a:dd:dd94:50f:ffff:ffff:ffff |
| 82 | fe80:c25a:dd:dd94:510::/76 | fe80:c25a:dd:dd94:51f:ffff:ffff:ffff |
| 83 | fe80:c25a:dd:dd94:520::/76 | fe80:c25a:dd:dd94:52f:ffff:ffff:ffff |
| 84 | fe80:c25a:dd:dd94:530::/76 | fe80:c25a:dd:dd94:53f:ffff:ffff:ffff |
| 85 | fe80:c25a:dd:dd94:540::/76 | fe80:c25a:dd:dd94:54f:ffff:ffff:ffff |
| 86 | fe80:c25a:dd:dd94:550::/76 | fe80:c25a:dd:dd94:55f:ffff:ffff:ffff |
| 87 | fe80:c25a:dd:dd94:560::/76 | fe80:c25a:dd:dd94:56f:ffff:ffff:ffff |
| 88 | fe80:c25a:dd:dd94:570::/76 | fe80:c25a:dd:dd94:57f:ffff:ffff:ffff |
| 89 | fe80:c25a:dd:dd94:580::/76 | fe80:c25a:dd:dd94:58f:ffff:ffff:ffff |
| 90 | fe80:c25a:dd:dd94:590::/76 | fe80:c25a:dd:dd94:59f:ffff:ffff:ffff |
| 91 | fe80:c25a:dd:dd94:5a0::/76 | fe80:c25a:dd:dd94:5af:ffff:ffff:ffff |
| 92 | fe80:c25a:dd:dd94:5b0::/76 | fe80:c25a:dd:dd94:5bf:ffff:ffff:ffff |
| 93 | fe80:c25a:dd:dd94:5c0::/76 | fe80:c25a:dd:dd94:5cf:ffff:ffff:ffff |
| 94 | fe80:c25a:dd:dd94:5d0::/76 | fe80:c25a:dd:dd94:5df:ffff:ffff:ffff |
| 95 | fe80:c25a:dd:dd94:5e0::/76 | fe80:c25a:dd:dd94:5ef:ffff:ffff:ffff |
| 96 | fe80:c25a:dd:dd94:5f0::/76 | fe80:c25a:dd:dd94:5ff:ffff:ffff:ffff |
| 97 | fe80:c25a:dd:dd94:600::/76 | fe80:c25a:dd:dd94:60f:ffff:ffff:ffff |
| 98 | fe80:c25a:dd:dd94:610::/76 | fe80:c25a:dd:dd94:61f:ffff:ffff:ffff |
| 99 | fe80:c25a:dd:dd94:620::/76 | fe80:c25a:dd:dd94:62f:ffff:ffff:ffff |
| 100 | fe80:c25a:dd:dd94:630::/76 | fe80:c25a:dd:dd94:63f:ffff:ffff:ffff |
| 101 | fe80:c25a:dd:dd94:640::/76 | fe80:c25a:dd:dd94:64f:ffff:ffff:ffff |
| 102 | fe80:c25a:dd:dd94:650::/76 | fe80:c25a:dd:dd94:65f:ffff:ffff:ffff |
| 103 | fe80:c25a:dd:dd94:660::/76 | fe80:c25a:dd:dd94:66f:ffff:ffff:ffff |
| 104 | fe80:c25a:dd:dd94:670::/76 | fe80:c25a:dd:dd94:67f:ffff:ffff:ffff |
| 105 | fe80:c25a:dd:dd94:680::/76 | fe80:c25a:dd:dd94:68f:ffff:ffff:ffff |
| 106 | fe80:c25a:dd:dd94:690::/76 | fe80:c25a:dd:dd94:69f:ffff:ffff:ffff |
| 107 | fe80:c25a:dd:dd94:6a0::/76 | fe80:c25a:dd:dd94:6af:ffff:ffff:ffff |
| 108 | fe80:c25a:dd:dd94:6b0::/76 | fe80:c25a:dd:dd94:6bf:ffff:ffff:ffff |
| 109 | fe80:c25a:dd:dd94:6c0::/76 | fe80:c25a:dd:dd94:6cf:ffff:ffff:ffff |
| 110 | fe80:c25a:dd:dd94:6d0::/76 | fe80:c25a:dd:dd94:6df:ffff:ffff:ffff |
| 111 | fe80:c25a:dd:dd94:6e0::/76 | fe80:c25a:dd:dd94:6ef:ffff:ffff:ffff |
| 112 | fe80:c25a:dd:dd94:6f0::/76 | fe80:c25a:dd:dd94:6ff:ffff:ffff:ffff |
| 113 | fe80:c25a:dd:dd94:700::/76 | fe80:c25a:dd:dd94:70f:ffff:ffff:ffff |
| 114 | fe80:c25a:dd:dd94:710::/76 | fe80:c25a:dd:dd94:71f:ffff:ffff:ffff |
| 115 | fe80:c25a:dd:dd94:720::/76 | fe80:c25a:dd:dd94:72f:ffff:ffff:ffff |
| 116 | fe80:c25a:dd:dd94:730::/76 | fe80:c25a:dd:dd94:73f:ffff:ffff:ffff |
| 117 | fe80:c25a:dd:dd94:740::/76 | fe80:c25a:dd:dd94:74f:ffff:ffff:ffff |
| 118 | fe80:c25a:dd:dd94:750::/76 | fe80:c25a:dd:dd94:75f:ffff:ffff:ffff |
| 119 | fe80:c25a:dd:dd94:760::/76 | fe80:c25a:dd:dd94:76f:ffff:ffff:ffff |
| 120 | fe80:c25a:dd:dd94:770::/76 | fe80:c25a:dd:dd94:77f:ffff:ffff:ffff |
| 121 | fe80:c25a:dd:dd94:780::/76 | fe80:c25a:dd:dd94:78f:ffff:ffff:ffff |
| 122 | fe80:c25a:dd:dd94:790::/76 | fe80:c25a:dd:dd94:79f:ffff:ffff:ffff |
| 123 | fe80:c25a:dd:dd94:7a0::/76 | fe80:c25a:dd:dd94:7af:ffff:ffff:ffff |
| 124 | fe80:c25a:dd:dd94:7b0::/76 | fe80:c25a:dd:dd94:7bf:ffff:ffff:ffff |
| 125 | fe80:c25a:dd:dd94:7c0::/76 | fe80:c25a:dd:dd94:7cf:ffff:ffff:ffff |
| 126 | fe80:c25a:dd:dd94:7d0::/76 | fe80:c25a:dd:dd94:7df:ffff:ffff:ffff |
| 127 | fe80:c25a:dd:dd94:7e0::/76 | fe80:c25a:dd:dd94:7ef:ffff:ffff:ffff |
| 128 | fe80:c25a:dd:dd94:7f0::/76 | fe80:c25a:dd:dd94:7ff:ffff:ffff:ffff |
| 129 | fe80:c25a:dd:dd94:800::/76 | fe80:c25a:dd:dd94:80f:ffff:ffff:ffff |
| 130 | fe80:c25a:dd:dd94:810::/76 | fe80:c25a:dd:dd94:81f:ffff:ffff:ffff |
| 131 | fe80:c25a:dd:dd94:820::/76 | fe80:c25a:dd:dd94:82f:ffff:ffff:ffff |
| 132 | fe80:c25a:dd:dd94:830::/76 | fe80:c25a:dd:dd94:83f:ffff:ffff:ffff |
| 133 | fe80:c25a:dd:dd94:840::/76 | fe80:c25a:dd:dd94:84f:ffff:ffff:ffff |
| 134 | fe80:c25a:dd:dd94:850::/76 | fe80:c25a:dd:dd94:85f:ffff:ffff:ffff |
| 135 | fe80:c25a:dd:dd94:860::/76 | fe80:c25a:dd:dd94:86f:ffff:ffff:ffff |
| 136 | fe80:c25a:dd:dd94:870::/76 | fe80:c25a:dd:dd94:87f:ffff:ffff:ffff |
| 137 | fe80:c25a:dd:dd94:880::/76 | fe80:c25a:dd:dd94:88f:ffff:ffff:ffff |
| 138 | fe80:c25a:dd:dd94:890::/76 | fe80:c25a:dd:dd94:89f:ffff:ffff:ffff |
| 139 | fe80:c25a:dd:dd94:8a0::/76 | fe80:c25a:dd:dd94:8af:ffff:ffff:ffff |
| 140 | fe80:c25a:dd:dd94:8b0::/76 | fe80:c25a:dd:dd94:8bf:ffff:ffff:ffff |
| 141 | fe80:c25a:dd:dd94:8c0::/76 | fe80:c25a:dd:dd94:8cf:ffff:ffff:ffff |
| 142 | fe80:c25a:dd:dd94:8d0::/76 | fe80:c25a:dd:dd94:8df:ffff:ffff:ffff |
| 143 | fe80:c25a:dd:dd94:8e0::/76 | fe80:c25a:dd:dd94:8ef:ffff:ffff:ffff |
| 144 | fe80:c25a:dd:dd94:8f0::/76 | fe80:c25a:dd:dd94:8ff:ffff:ffff:ffff |
| 145 | fe80:c25a:dd:dd94:900::/76 | fe80:c25a:dd:dd94:90f:ffff:ffff:ffff |
| 146 | fe80:c25a:dd:dd94:910::/76 | fe80:c25a:dd:dd94:91f:ffff:ffff:ffff |
| 147 | fe80:c25a:dd:dd94:920::/76 | fe80:c25a:dd:dd94:92f:ffff:ffff:ffff |
| 148 | fe80:c25a:dd:dd94:930::/76 | fe80:c25a:dd:dd94:93f:ffff:ffff:ffff |
| 149 | fe80:c25a:dd:dd94:940::/76 | fe80:c25a:dd:dd94:94f:ffff:ffff:ffff |
| 150 | fe80:c25a:dd:dd94:950::/76 | fe80:c25a:dd:dd94:95f:ffff:ffff:ffff |
| 151 | fe80:c25a:dd:dd94:960::/76 | fe80:c25a:dd:dd94:96f:ffff:ffff:ffff |
| 152 | fe80:c25a:dd:dd94:970::/76 | fe80:c25a:dd:dd94:97f:ffff:ffff:ffff |
| 153 | fe80:c25a:dd:dd94:980::/76 | fe80:c25a:dd:dd94:98f:ffff:ffff:ffff |
| 154 | fe80:c25a:dd:dd94:990::/76 | fe80:c25a:dd:dd94:99f:ffff:ffff:ffff |
| 155 | fe80:c25a:dd:dd94:9a0::/76 | fe80:c25a:dd:dd94:9af:ffff:ffff:ffff |
| 156 | fe80:c25a:dd:dd94:9b0::/76 | fe80:c25a:dd:dd94:9bf:ffff:ffff:ffff |
| 157 | fe80:c25a:dd:dd94:9c0::/76 | fe80:c25a:dd:dd94:9cf:ffff:ffff:ffff |
| 158 | fe80:c25a:dd:dd94:9d0::/76 | fe80:c25a:dd:dd94:9df:ffff:ffff:ffff |
| 159 | fe80:c25a:dd:dd94:9e0::/76 | fe80:c25a:dd:dd94:9ef:ffff:ffff:ffff |
| 160 | fe80:c25a:dd:dd94:9f0::/76 | fe80:c25a:dd:dd94:9ff:ffff:ffff:ffff |
| 161 | fe80:c25a:dd:dd94:a00::/76 | fe80:c25a:dd:dd94:a0f:ffff:ffff:ffff |
| 162 | fe80:c25a:dd:dd94:a10::/76 | fe80:c25a:dd:dd94:a1f:ffff:ffff:ffff |
| 163 | fe80:c25a:dd:dd94:a20::/76 | fe80:c25a:dd:dd94:a2f:ffff:ffff:ffff |
| 164 | fe80:c25a:dd:dd94:a30::/76 | fe80:c25a:dd:dd94:a3f:ffff:ffff:ffff |
| 165 | fe80:c25a:dd:dd94:a40::/76 | fe80:c25a:dd:dd94:a4f:ffff:ffff:ffff |
| 166 | fe80:c25a:dd:dd94:a50::/76 | fe80:c25a:dd:dd94:a5f:ffff:ffff:ffff |
| 167 | fe80:c25a:dd:dd94:a60::/76 | fe80:c25a:dd:dd94:a6f:ffff:ffff:ffff |
| 168 | fe80:c25a:dd:dd94:a70::/76 | fe80:c25a:dd:dd94:a7f:ffff:ffff:ffff |
| 169 | fe80:c25a:dd:dd94:a80::/76 | fe80:c25a:dd:dd94:a8f:ffff:ffff:ffff |
| 170 | fe80:c25a:dd:dd94:a90::/76 | fe80:c25a:dd:dd94:a9f:ffff:ffff:ffff |
| 171 | fe80:c25a:dd:dd94:aa0::/76 | fe80:c25a:dd:dd94:aaf:ffff:ffff:ffff |
| 172 | fe80:c25a:dd:dd94:ab0::/76 | fe80:c25a:dd:dd94:abf:ffff:ffff:ffff |
| 173 | fe80:c25a:dd:dd94:ac0::/76 | fe80:c25a:dd:dd94:acf:ffff:ffff:ffff |
| 174 | fe80:c25a:dd:dd94:ad0::/76 | fe80:c25a:dd:dd94:adf:ffff:ffff:ffff |
| 175 | fe80:c25a:dd:dd94:ae0::/76 | fe80:c25a:dd:dd94:aef:ffff:ffff:ffff |
| 176 | fe80:c25a:dd:dd94:af0::/76 | fe80:c25a:dd:dd94:aff:ffff:ffff:ffff |
| 177 | fe80:c25a:dd:dd94:b00::/76 | fe80:c25a:dd:dd94:b0f:ffff:ffff:ffff |
| 178 | fe80:c25a:dd:dd94:b10::/76 | fe80:c25a:dd:dd94:b1f:ffff:ffff:ffff |
| 179 | fe80:c25a:dd:dd94:b20::/76 | fe80:c25a:dd:dd94:b2f:ffff:ffff:ffff |
| 180 | fe80:c25a:dd:dd94:b30::/76 | fe80:c25a:dd:dd94:b3f:ffff:ffff:ffff |
| 181 | fe80:c25a:dd:dd94:b40::/76 | fe80:c25a:dd:dd94:b4f:ffff:ffff:ffff |
| 182 | fe80:c25a:dd:dd94:b50::/76 | fe80:c25a:dd:dd94:b5f:ffff:ffff:ffff |
| 183 | fe80:c25a:dd:dd94:b60::/76 | fe80:c25a:dd:dd94:b6f:ffff:ffff:ffff |
| 184 | fe80:c25a:dd:dd94:b70::/76 | fe80:c25a:dd:dd94:b7f:ffff:ffff:ffff |
| 185 | fe80:c25a:dd:dd94:b80::/76 | fe80:c25a:dd:dd94:b8f:ffff:ffff:ffff |
| 186 | fe80:c25a:dd:dd94:b90::/76 | fe80:c25a:dd:dd94:b9f:ffff:ffff:ffff |
| 187 | fe80:c25a:dd:dd94:ba0::/76 | fe80:c25a:dd:dd94:baf:ffff:ffff:ffff |
| 188 | fe80:c25a:dd:dd94:bb0::/76 | fe80:c25a:dd:dd94:bbf:ffff:ffff:ffff |
| 189 | fe80:c25a:dd:dd94:bc0::/76 | fe80:c25a:dd:dd94:bcf:ffff:ffff:ffff |
| 190 | fe80:c25a:dd:dd94:bd0::/76 | fe80:c25a:dd:dd94:bdf:ffff:ffff:ffff |
| 191 | fe80:c25a:dd:dd94:be0::/76 | fe80:c25a:dd:dd94:bef:ffff:ffff:ffff |
| 192 | fe80:c25a:dd:dd94:bf0::/76 | fe80:c25a:dd:dd94:bff:ffff:ffff:ffff |
| 193 | fe80:c25a:dd:dd94:c00::/76 | fe80:c25a:dd:dd94:c0f:ffff:ffff:ffff |
| 194 | fe80:c25a:dd:dd94:c10::/76 | fe80:c25a:dd:dd94:c1f:ffff:ffff:ffff |
| 195 | fe80:c25a:dd:dd94:c20::/76 | fe80:c25a:dd:dd94:c2f:ffff:ffff:ffff |
| 196 | fe80:c25a:dd:dd94:c30::/76 | fe80:c25a:dd:dd94:c3f:ffff:ffff:ffff |
| 197 | fe80:c25a:dd:dd94:c40::/76 | fe80:c25a:dd:dd94:c4f:ffff:ffff:ffff |
| 198 | fe80:c25a:dd:dd94:c50::/76 | fe80:c25a:dd:dd94:c5f:ffff:ffff:ffff |
| 199 | fe80:c25a:dd:dd94:c60::/76 | fe80:c25a:dd:dd94:c6f:ffff:ffff:ffff |
| 200 | fe80:c25a:dd:dd94:c70::/76 | fe80:c25a:dd:dd94:c7f:ffff:ffff:ffff |
| 201 | fe80:c25a:dd:dd94:c80::/76 | fe80:c25a:dd:dd94:c8f:ffff:ffff:ffff |
| 202 | fe80:c25a:dd:dd94:c90::/76 | fe80:c25a:dd:dd94:c9f:ffff:ffff:ffff |
| 203 | fe80:c25a:dd:dd94:ca0::/76 | fe80:c25a:dd:dd94:caf:ffff:ffff:ffff |
| 204 | fe80:c25a:dd:dd94:cb0::/76 | fe80:c25a:dd:dd94:cbf:ffff:ffff:ffff |
| 205 | fe80:c25a:dd:dd94:cc0::/76 | fe80:c25a:dd:dd94:ccf:ffff:ffff:ffff |
| 206 | fe80:c25a:dd:dd94:cd0::/76 | fe80:c25a:dd:dd94:cdf:ffff:ffff:ffff |
| 207 | fe80:c25a:dd:dd94:ce0::/76 | fe80:c25a:dd:dd94:cef:ffff:ffff:ffff |
| 208 | fe80:c25a:dd:dd94:cf0::/76 | fe80:c25a:dd:dd94:cff:ffff:ffff:ffff |
| 209 | fe80:c25a:dd:dd94:d00::/76 | fe80:c25a:dd:dd94:d0f:ffff:ffff:ffff |
| 210 | fe80:c25a:dd:dd94:d10::/76 | fe80:c25a:dd:dd94:d1f:ffff:ffff:ffff |
| 211 | fe80:c25a:dd:dd94:d20::/76 | fe80:c25a:dd:dd94:d2f:ffff:ffff:ffff |
| 212 | fe80:c25a:dd:dd94:d30::/76 | fe80:c25a:dd:dd94:d3f:ffff:ffff:ffff |
| 213 | fe80:c25a:dd:dd94:d40::/76 | fe80:c25a:dd:dd94:d4f:ffff:ffff:ffff |
| 214 | fe80:c25a:dd:dd94:d50::/76 | fe80:c25a:dd:dd94:d5f:ffff:ffff:ffff |
| 215 | fe80:c25a:dd:dd94:d60::/76 | fe80:c25a:dd:dd94:d6f:ffff:ffff:ffff |
| 216 | fe80:c25a:dd:dd94:d70::/76 | fe80:c25a:dd:dd94:d7f:ffff:ffff:ffff |
| 217 | fe80:c25a:dd:dd94:d80::/76 | fe80:c25a:dd:dd94:d8f:ffff:ffff:ffff |
| 218 | fe80:c25a:dd:dd94:d90::/76 | fe80:c25a:dd:dd94:d9f:ffff:ffff:ffff |
| 219 | fe80:c25a:dd:dd94:da0::/76 | fe80:c25a:dd:dd94:daf:ffff:ffff:ffff |
| 220 | fe80:c25a:dd:dd94:db0::/76 | fe80:c25a:dd:dd94:dbf:ffff:ffff:ffff |
| 221 | fe80:c25a:dd:dd94:dc0::/76 | fe80:c25a:dd:dd94:dcf:ffff:ffff:ffff |
| 222 | fe80:c25a:dd:dd94:dd0::/76 | fe80:c25a:dd:dd94:ddf:ffff:ffff:ffff |
| 223 | fe80:c25a:dd:dd94:de0::/76 | fe80:c25a:dd:dd94:def:ffff:ffff:ffff |
| 224 | fe80:c25a:dd:dd94:df0::/76 | fe80:c25a:dd:dd94:dff:ffff:ffff:ffff |
| 225 | fe80:c25a:dd:dd94:e00::/76 | fe80:c25a:dd:dd94:e0f:ffff:ffff:ffff |
| 226 | fe80:c25a:dd:dd94:e10::/76 | fe80:c25a:dd:dd94:e1f:ffff:ffff:ffff |
| 227 | fe80:c25a:dd:dd94:e20::/76 | fe80:c25a:dd:dd94:e2f:ffff:ffff:ffff |
| 228 | fe80:c25a:dd:dd94:e30::/76 | fe80:c25a:dd:dd94:e3f:ffff:ffff:ffff |
| 229 | fe80:c25a:dd:dd94:e40::/76 | fe80:c25a:dd:dd94:e4f:ffff:ffff:ffff |
| 230 | fe80:c25a:dd:dd94:e50::/76 | fe80:c25a:dd:dd94:e5f:ffff:ffff:ffff |
| 231 | fe80:c25a:dd:dd94:e60::/76 | fe80:c25a:dd:dd94:e6f:ffff:ffff:ffff |
| 232 | fe80:c25a:dd:dd94:e70::/76 | fe80:c25a:dd:dd94:e7f:ffff:ffff:ffff |
| 233 | fe80:c25a:dd:dd94:e80::/76 | fe80:c25a:dd:dd94:e8f:ffff:ffff:ffff |
| 234 | fe80:c25a:dd:dd94:e90::/76 | fe80:c25a:dd:dd94:e9f:ffff:ffff:ffff |
| 235 | fe80:c25a:dd:dd94:ea0::/76 | fe80:c25a:dd:dd94:eaf:ffff:ffff:ffff |
| 236 | fe80:c25a:dd:dd94:eb0::/76 | fe80:c25a:dd:dd94:ebf:ffff:ffff:ffff |
| 237 | fe80:c25a:dd:dd94:ec0::/76 | fe80:c25a:dd:dd94:ecf:ffff:ffff:ffff |
| 238 | fe80:c25a:dd:dd94:ed0::/76 | fe80:c25a:dd:dd94:edf:ffff:ffff:ffff |
| 239 | fe80:c25a:dd:dd94:ee0::/76 | fe80:c25a:dd:dd94:eef:ffff:ffff:ffff |
| 240 | fe80:c25a:dd:dd94:ef0::/76 | fe80:c25a:dd:dd94:eff:ffff:ffff:ffff |
| 241 | fe80:c25a:dd:dd94:f00::/76 | fe80:c25a:dd:dd94:f0f:ffff:ffff:ffff |
| 242 | fe80:c25a:dd:dd94:f10::/76 | fe80:c25a:dd:dd94:f1f:ffff:ffff:ffff |
| 243 | fe80:c25a:dd:dd94:f20::/76 | fe80:c25a:dd:dd94:f2f:ffff:ffff:ffff |
| 244 | fe80:c25a:dd:dd94:f30::/76 | fe80:c25a:dd:dd94:f3f:ffff:ffff:ffff |
| 245 | fe80:c25a:dd:dd94:f40::/76 | fe80:c25a:dd:dd94:f4f:ffff:ffff:ffff |
| 246 | fe80:c25a:dd:dd94:f50::/76 | fe80:c25a:dd:dd94:f5f:ffff:ffff:ffff |
| 247 | fe80:c25a:dd:dd94:f60::/76 | fe80:c25a:dd:dd94:f6f:ffff:ffff:ffff |
| 248 | fe80:c25a:dd:dd94:f70::/76 | fe80:c25a:dd:dd94:f7f:ffff:ffff:ffff |
| 249 | fe80:c25a:dd:dd94:f80::/76 | fe80:c25a:dd:dd94:f8f:ffff:ffff:ffff |
| 250 | fe80:c25a:dd:dd94:f90::/76 | fe80:c25a:dd:dd94:f9f:ffff:ffff:ffff |
| 251 | fe80:c25a:dd:dd94:fa0::/76 | fe80:c25a:dd:dd94:faf:ffff:ffff:ffff |
| 252 | fe80:c25a:dd:dd94:fb0::/76 | fe80:c25a:dd:dd94:fbf:ffff:ffff:ffff |
| 253 | fe80:c25a:dd:dd94:fc0::/76 | fe80:c25a:dd:dd94:fcf:ffff:ffff:ffff |
| 254 | fe80:c25a:dd:dd94:fd0::/76 | fe80:c25a:dd:dd94:fdf:ffff:ffff:ffff |
| 255 | fe80:c25a:dd:dd94:fe0::/76 | fe80:c25a:dd:dd94:fef:ffff:ffff:ffff |
| 256 | fe80:c25a:dd:dd94:ff0::/76 | fe80:c25a:dd:dd94:fff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |